ナビゲーションにスキップ

Generate text content with a Gemini-compatible request

Gemini-compatible endpoint for generateContent and streamGenerateContent. The BeatAPI key is removed before forwarding.

認証

x-goog-api-keystring

Gemini-compatible API key header. Use a BeatAPI API key.

OR
AuthorizationBearer

Send your API key as Authorization: Bearer <BEATAPI_API_KEY>.

パスパラメータ

modelstring必須

Public text model id exposed by BeatAPI. Call GET /v1/models to discover the models enabled for your environment.

actionenum必須
許可された値:

リクエスト

This endpoint expects a map from strings to any.

レスポンス

Gemini-compatible JSON response or server-sent event stream

エラー

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error